Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Mesa requires GLES2 when I have OpenGL in my USE flags
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
omnicloud
Guru
Guru


Joined: 10 Mar 2005
Posts: 550
Location: California

PostPosted: Wed Jun 03, 2015 5:26 pm    Post subject: Mesa requires GLES2 when I have OpenGL in my USE flags Reply with quote

I'm trying to update my system with OpenGL as my graphics library of choice, but mesa keeps saying it requires GLES2, but if I enable GLES2, then WebGL complains that you can only have 1, and if I disable OpenGL, which is specified by the profile gnome then other dependencies such as cairo start to complain.

How can I fix this.
Back to top
View user's profile Send private message
sebB
l33t
l33t


Joined: 02 Mar 2011
Posts: 730
Location: S.O. France

PostPosted: Wed Jun 03, 2015 5:54 pm    Post subject: Reply with quote

Can you post the output of
Code:
emerge -uDNvp @world
Back to top
View user's profile Send private message
omnicloud
Guru
Guru


Joined: 10 Mar 2005
Posts: 550
Location: California

PostPosted: Wed Jun 03, 2015 6:20 pm    Post subject: Reply with quote

sebB wrote:
Can you post the output of
Code:
emerge -uDNvp @world


http://www.pastebin.com/6yd3CcWc

And just an FYI, this is in a Hyper-V virtual machine
Back to top
View user's profile Send private message
sebB
l33t
l33t


Joined: 02 Mar 2011
Posts: 730
Location: S.O. France

PostPosted: Wed Jun 03, 2015 7:33 pm    Post subject: Reply with quote

Quote:
I'm trying to update my system with OpenGL as my graphics library of choice

What did you do?
Did you change something, because you have many rebuild?
What does emerge -uDNvp @world say if you put ">=media-libs/mesa-10.3.7-r1 gles2" in your package.use?
Post your emerge --info.
Back to top
View user's profile Send private message
omnicloud
Guru
Guru


Joined: 10 Mar 2005
Posts: 550
Location: California

PostPosted: Wed Jun 03, 2015 7:53 pm    Post subject: Reply with quote

sebB wrote:
Did you change something, because you have many rebuild?
What does emerge -uDNvp @world say if you put ">=media-libs/mesa-10.3.7-r1 gles2" in your package.use?
Post your emerge --info.


I did change some use flags, mostly removing some, but this gles2 vs opengl issue has been happening non stop

It looks like it will emerge successfully if I add gles to the package.use, but will this cause incompatibilities?


Edit: emerge --info http://www.pastebin.com/fbK9NhJ5
Back to top
View user's profile Send private message
Yamakuzure
Advocate
Advocate


Joined: 21 Jun 2006
Posts: 2273
Location: Bardowick, Germany

PostPosted: Fri Jun 05, 2015 6:45 am    Post subject: Reply with quote

Portage tells you exactly why it wants mesa with gles2 USE Flag:
Code:
The following USE changes are necessary to proceed:
 (see "package.use" in the portage(5) man page for more details)
# required by media-libs/cogl-1.18.2-r1::gentoo[gles2]
# required by media-libs/clutter-1.20.0::gentoo
# required by media-libs/clutter-gtk-1.6.0::gentoo
# required by games-arcade/gnome-nibbles-3.14.1::gentoo
# required by gnome-base/gnome-extra-apps-3.14.0-r1::gentoo[games]
# required by gnome-base/gnome-3.14.0::gentoo[extras]
# required by @selected
# required by @world (argument)
>=media-libs/mesa-10.3.7-r1 gles2
This means, that you have enabled "gles2" for media-libs/cogl, and that depends on mesa with enabled gles2 USE flag. So either enable gles2 for mesa or deactivate gles2 for cogl.
_________________
Important German:
  1. "Aha" - German reaction to pretend that you are really interested while giving no f*ck.
  2. "Tja" - German reaction to the apocalypse, nuclear war, an alien invasion or no bread in the house.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum